
#set -x

rm -f /tmp/upgrade_result >/dev/null 2>&1

if [ ! -f fw.tar.gz.sig ]; then
	echo "RUNME1: CANNOT FIND FW SIGNATURE!" >>/tmp/upgrade_result
	rm * -rf >/dev/null 2>&1
	exit 4
fi
openssl dgst -sha256 -verify /etc/hiveon-pub.pem -signature fw.tar.gz.sig fw.tar.gz >/dev/null 2>&1
res=$?
if [ $res -ne 0 ]; then
	echo "RUNME1: CANNOT VERIFY FW !" >>/tmp/upgrade_result
	rm * -rf >/dev/null 2>&1
	exit 5
fi

rm -rf /tmp/web_upgrade
sync  >/dev/null 2>&1

mkdir -p /tmp/web_upgrade
tar zxf fw.tar.gz -C /tmp/web_upgrade >/dev/null 2>&1
rm fw.tar.gz
sync >/dev/null 2>&1
cd /tmp/web_upgrade
sh runme.sh
ret=$?

sync >/dev/null 2>&1

return $ret